#pragma once

#include <stdbool.h>

bool  ffdb_trie_set( const char* filename, const char* key, const char* value );
char* ffdb_trie_get( const char* filename, const char* key );
bool  ffdb_trie_remove( const char* filename, const char* key );
int   ffdb_trie_count( const char* filename );
void  ffdb_trie_clean( const char* filename );

int   ffdb_trie_index_for_key( const char* filename, const char* key );
void  ffdb_trie_list( const char* filename, int offset, int limit, void* keys, void* values );
bool  ffdb_trie_get_index( const char* filename, int offset, char** key, char** value );

